> For the complete documentation index, see [llms.txt](https://docs.jigx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jigx.com/examples/readme/datasource/system.md).

# system

The system datasource is usually used to get the list of country flag icons that can be used in a jig's components.

## Configuration options

When setting up a system datasource within a jig you can use it:

1. As a locally configured datasource within a jig for locally stored data to be available.
2. As a global datasource that allows easy access and reusability to the data across various jigs and components.

### System as jig local datasource

{% code title="system-local-datasource-jig.jigx" %}

```yaml
# Add YAML in a jig file.
datasources:
  system:
    type: datasource.system
    options:
      source: flags
```

{% endcode %}

### System as global datasource

{% code title="system" %}

```yaml
# Add file under the datasource folder.
type: datasource.system
options:
  source: flags
```

{% endcode %}

## Considerations

* For the flag to show you need to use a component or action that has an `icon` property, for example, `leftElement` or `rightElement`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jigx.com/examples/readme/datasource/system.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
